Topologies
Get Topology by ID
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Path Parameters
id*string
Topology ID
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/topology/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"meta": {
"api_version": 1,
"server_version": "0.18.1"
},
"success": true,
"data": {
"options": {
"local": {
"bundle_edges": true,
"hide_edge_types": {
"Application": [
"ContainerRuntime"
],
"L2Physical": [
"SameHost"
],
"L3Logical": [
"Hypervisor",
"SameContainer"
],
"Workloads": [
"RequestPath",
"HubAndSpoke",
"PhysicalLink",
"NeighborLink"
]
},
"no_fade_edges": false,
"show_minimap": true,
"tag_filter": {}
},
"request": {
"container_rules": {
"Application": [
{
"id": "7f4c5537-e62e-4cbf-985b-7e674bd60180",
"rule": {
"ByApplication": {
"tag_ids": []
}
}
}
],
"L2Physical": [
{
"id": "bdb62de0-ec35-4f1a-8e10-801805e0dd34",
"rule": "ByHost"
}
],
"L3Logical": [
{
"id": "521542fd-3618-43ee-b598-502755e619db",
"rule": "BySubnet"
},
{
"id": "5087a774-57be-4c15-b142-a45cf3466688",
"rule": "MergeContainerBridges"
}
],
"Workloads": [
{
"id": "bdb62de0-ec35-4f1a-8e10-801805e0dd34",
"rule": "ByHost"
}
]
},
"element_rules": [
{
"id": "8f5e959f-f971-47df-a5d9-c0d80b9b1e8a",
"rule": "ByTrunkPort"
},
{
"id": "53b673ba-5ee4-4cf5-87b1-8f0a711a33bb",
"rule": "ByVLAN"
},
{
"id": "c0798748-17fe-4603-9cc3-f8136aeb318c",
"rule": "ByPortOpStatus"
},
{
"id": "e9f2f888-339b-46c4-85cf-9d946f348f24",
"rule": {
"ByServiceCategory": {
"categories": [
"NetworkCore",
"NetworkAccess",
"NetworkAppliance",
"RemoteAccess",
"Workstation",
"Mobile",
"IoT",
"Printer",
"OpenPorts",
"NetworkIdentities"
],
"is_infra_rule": true,
"title": "Infrastructure"
}
}
},
{
"id": "0f56f079-7d7b-42d5-b361-4eb8a2432246",
"rule": {
"ByTag": {
"tag_ids": [],
"title": null
}
}
},
{
"id": "d8114532-7401-4487-bf29-8bd7d7890fd6",
"rule": "ByHypervisor"
},
{
"id": "e6b26860-a770-447b-81dc-1c7917b23721",
"rule": "ByContainerRuntime"
},
{
"id": "cf969fb3-1946-4be5-b256-0406ad096628",
"rule": "ByStack"
}
],
"element_sort": {},
"hide_entities": {},
"hide_metadata_values": {
"Application": {
"Service": {
"Category": [
"OpenPorts"
]
}
},
"L2Physical": {
"Interface": {
"LinkState": [
"Unlinked"
]
},
"Service": {
"Category": [
"OpenPorts"
]
}
},
"L3Logical": {
"Service": {
"Category": [
"OpenPorts"
]
}
},
"Workloads": {
"Service": {
"Category": [
"OpenPorts"
]
}
}
}
}
},
"site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",
"created_at": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updated_at": "2019-08-24T14:15:22Z"
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.18.1"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}